Package be.e_contract.ejsf.component.output

# Class LastReviewedComponent

java.lang.Object
javax.faces.component.UIComponent
javax.faces.component.UIComponentBase
javax.faces.component.UIOutput
be.e_contract.ejsf.component.output.LastReviewedComponent

All Implemented Interfaces:
  `EventListener`, `javax.faces.component.PartialStateHolder`, `javax.faces.component.StateHolder`, `javax.faces.component.TransientStateHolder`, `javax.faces.component.ValueHolder`, `javax.faces.event.ComponentSystemEventListener`, `javax.faces.event.FacesListener`, `javax.faces.event.SystemEventListenerHolder`

public class LastReviewedComponent extends javax.faces.component.UIOutput

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPONENT_FAMILY`
`static final String`
`COMPONENT_TYPE`

### Fields inherited from class javax.faces.component.UIComponent

`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

## Constructor Summary

Constructors
Constructor
Description
`LastReviewedComponent()`

## Method Summary

Modifier and Type
Method
Description
`void`
`encodeBegin(javax.faces.context.FacesContext context)`
`String`
`getErrorIcon()`
`String`
`getFamily()`
`String`
`getMaxAgeError()`
`String`
`getMaxAgeWarning()`
`String`
`getOkIcon()`
`String`
`getPattern()`
`String`
`getUnknownMessage()`
`String`
`getWarningIcon()`
`void`
`setErrorIcon(String errorIcon)`
`void`
`setMaxAgeError(String maxAgeError)`
`void`
`setMaxAgeWarning(String maxAgeWarning)`
`void`
`setOkIcon(String okIcon)`
`void`
`setPattern(String pattern)`
`void`
`setUnknownMessage(String unknownMessage)`
`void`
`setWarningIcon(String warningIcon)`

### Methods inherited from class javax.faces.component.UIOutput

`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, resetValue, restoreState, saveState, setConverter, setValue`

### Methods inherited from class javax.faces.component.UIComponentBase

`addClientBehavior, addFacesListener, broadcast, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

### Methods inherited from class javax.faces.component.UIComponent

`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COMPONENT_TYPE

public static final String COMPONENT_TYPE

See Also:
  - Constant Field Values

### COMPONENT_FAMILY

public static final String COMPONENT_FAMILY

See Also:
  - Constant Field Values

## Constructor Details

### LastReviewedComponent

public LastReviewedComponent()

## Method Details

### getFamily

public String getFamily()

Overrides:
  `getFamily` in class `javax.faces.component.UIOutput`

### getPattern

public String getPattern()

### setPattern

public void setPattern(String pattern)

### getUnknownMessage

public String getUnknownMessage()

### setUnknownMessage

public void setUnknownMessage(String unknownMessage)

### getMaxAgeWarning

public String getMaxAgeWarning()

### setMaxAgeWarning

public void setMaxAgeWarning(String maxAgeWarning)

### getMaxAgeError

public String getMaxAgeError()

### setMaxAgeError

public void setMaxAgeError(String maxAgeError)

### getOkIcon

public String getOkIcon()

### setOkIcon

public void setOkIcon(String okIcon)

### getWarningIcon

public String getWarningIcon()

### setWarningIcon

public void setWarningIcon(String warningIcon)

### getErrorIcon

public String getErrorIcon()

### setErrorIcon

public void setErrorIcon(String errorIcon)

### encodeBegin

public void encodeBegin(javax.faces.context.FacesContext context) throws IOException

Overrides:
  `encodeBegin` in class `javax.faces.component.UIComponentBase`
Throws:
  `IOException`